package paraphylo.dao;

public class Triple implements Comparable<Triple>{

	int A;
	int B;
	int C;
	double value;
	
	public Triple(int A, int B, int C){
		this.A=Math.min(A, B);
		this.B=Math.max(A, B);
		this.C=C;
	}
	
	public Triple(int A, int B, int C, double value){
		this.A=Math.min(A, B);
		this.B=Math.max(A, B);
		this.C=C;
		this.value = value;
	}
	
	public void setTriple(int A, int B, int C){
		this.A=Math.min(A, B);
		this.B=Math.max(A, B);
		this.C=C;
	}

	public int getA() {
		return A;
	}

	public int getB() {
		return B;
	}

	public int getC() {
		return C;
	}

	public double getValue() {
		return value;
	}

	public void setValue(double value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return A+","+B+"|"+C;
	}

	@Override
	public int compareTo(Triple other) {
		if (this.value<other.getValue()){
			return 1;
		}
		else if (this.value>other.getValue()){
			return -1;
		}
		return 0;
	}
}
