package paraphylo.converter;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.Arrays;

public class ALFTreeFileParser {

	public static String[] parseNames(String filename) throws Exception {
		
		BufferedReader br = new BufferedReader(new FileReader(filename));
		String line = br.readLine().trim();
		line=line.replaceAll("(\\()|(\\))|(:[0-9]+(\\.[0-9Ee-]+)?)|(;)", "");
		String[] species = line.split(",");
		Arrays.sort(species);
		br.close();
		return species;
	}
	
public static String parseTree(String filename) throws Exception {
		
		BufferedReader br = new BufferedReader(new FileReader(filename));
		String line = br.readLine().trim();
		String tree = line.replaceAll(":[0-9]+(\\.[0-9Ee-]+)?", "");
		br.close();
		return tree;
	}
}
